\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::In_place_list_base< T > Class Template Reference
Doubly-Connected List Managing Items in Place

`#include <CGAL/In_place_list.h>`

## Definition

The node base classes provides pointers to build linked lists.

The class `In_place_list_base<T>` provides a pointer `next_link` for a single linked list. The class `In_place_list_base<T>` provides an additional pointer `prev_link` for doubly linked lists. These names conform to the default parameters used in the template argument lists of the container classes. The pointers are public members.

Examples:
  STL_Extension/in_place_list_prog.cpp.

## Variables
T * | next_link
| forward pointer
T * | prev_link
| backward pointer